/////////////////////////////////////////////////////////////////////////////
// Name:        devmp3dlg.h
// Purpose:     Header file, GUI for DJ Control MP3 Dialog.
// Author:      Yann Hamiaux
// Modified by: -
// Created:     09/09/2008
// Copyright:   Written for Guillemot Corporation by Yann Hamiaux
// Licence:     The GNU General Public License v2+.
/////////////////////////////////////////////////////////////////////////////
#include "gdialog.h"

#ifndef __DEV_MP3_DLG_H__
#define __DEV_MP3_DLG_H__

#define IDC_DJMP3_HERCULES_LOGO			100
#define IDC_DJMP3_ABOUTBOX_STATIC_LINE1		101
#define IDC_DJMP3_ABOUTBOX_STATIC_LINE2		102
#define IDC_DJMP3_ABOUTBOX_STATIC_LINE3		103
#define IDC_DJMP3_ABOUTBOX_STATIC_LINE4		104
#define IDC_DJMP3_ABOUTBOX_STATIC_LINE5		105
#define IDC_DJMP3_CHECKBOX_DJ_MOUSE		106
#define IDC_DJMP3_STATIC_MIDI_CHANNEL		107
#define IDC_DJMP3_COMBO_MIDI			108


class CDevMp3Dlg : CGDialog
{
public:
	CDevMp3Dlg( wxMemoryDC *pSkinMemDC, wxMemoryDC *pSkinAlphaMemDC );
	~CDevMp3Dlg( );

	// --- Functions not implemented in the base class --
	bool MouseEvent( int x, int y, int button, PREFRESH_RECT refreshRect );
	void InitializeDlgState( DJ_DEVICE_STATE *pDeviceState, CDManager *pDeviceManager );


protected:

private:
};

#endif
