/////////////////////////////////////////////////////////////////////////////
// Name:        devnulldlg.h
// Purpose:     Header file, GUI for <NULL-DEVICE> Dialog.
// Author:      Yann Hamiaux
// Modified by: -
// Created:     09/03/2008
// Copyright:   Written for Guillemot Corporation by Yann Hamiaux
// Licence:     The GNU General Public License v2+.
/////////////////////////////////////////////////////////////////////////////
#include "gdialog.h"

#ifndef __DEV_NULL_DLG_H__
#define __DEV_NULL_DLG_H__

#define IDC_NO_DEVICE_HERCULES_LOGO		100
#define IDC_NODEV_STATIC_ABOUT_COPYRIGHT	101
#define IDC_NODEV_STATIC_ABOUT_COPYRIGHT2	102
#define IDC_NODEV_STATIC_ABOUT_NOTE1		103
#define IDC_NODEV_STATIC_ABOUT_NOTE2		104
#define IDC_NODEV_STATIC_ABOUT_NOTE3		105
#define IDC_NODEV_STATIC_ABOUT_NOTE4		106

class CDevNullDlg : CGDialog
{
public:
	CDevNullDlg( wxMemoryDC *pSkinMemDC, wxMemoryDC *pSkinAlphaMemDC );
	~CDevNullDlg( );

	bool MouseEvent( int x, int y, int button, PREFRESH_RECT refreshRect );

protected:

private:
};

#endif

