/////////////////////////////////////////////////////////////////////////////
// Name:        devsteeldlg.h
// Purpose:     Header file, GUI for DJ Control Steel Dialog.
// Author:      Yann Hamiaux
// Modified by: -
// Created:     07/07/2008
// Copyright:   Written for Guillemot Corporation by Yann Hamiaux
// Licence:     The GNU General Public License v2+.
/////////////////////////////////////////////////////////////////////////////
#include "gdialog.h"

#ifndef __DEV_STEEL_DLG_H__
#define __DEV_STEEL_DLG_H__


#define IDC_STEEL_ABOUT_TAB		100
#define IDC_STEEL_HERCULES_LOGO		101
#define IDC_STEEL_TAB_MAIN		102
#define IDC_STEEL_TAB_ABOUT		103
#define IDC_STEEL_STATIC_MAIN		104
#define IDC_STEEL_STATIC_ABOUT		105
#define IDC_STEEL_STATIC_MIDI_CH	106
#define IDC_STEEL_STATIC_JOG_ENABLE	107
#define IDC_STEEL_STATIC_JOG_SENSITIVE	108
#define IDC_STEEL_STATIC_JOG_SETTINGS	109
#define IDC_STEEL_STATIC_ABOUT1		110
#define IDC_STEEL_STATIC_ABOUT2		111
#define IDC_STEEL_STATIC_ABOUT3		112
#define IDC_STEEL_STATIC_ABOUT4		113
#define IDC_STEEL_STATIC_ABOUT5		114
#define IDC_STEEL_STATIC_ABOUT6		115
#define IDC_STEEL_STATIC_ABOUT7		116
#define IDC_STEEL_COMBO_JOG_SENSITIV	117
#define IDC_STEEL_COMBO_JOG_ENABLE	118
#define	IDC_STEEL_COMBO_MIDI		119


class CDevSteelDlg : CGDialog
{
public:
	CDevSteelDlg( wxMemoryDC *pSkinMemDC, wxMemoryDC *pSkinAlphaMemDC );
	~CDevSteelDlg( );

	bool SetTab( int nTab );

	// --- Functions not implemented in the base class --
	bool MouseEvent( int x, int y, int button, PREFRESH_RECT refreshRect );
	void InitializeDlgState( DJ_DEVICE_STATE *pDeviceState, CDManager *pDeviceManager );

protected:

private:
};

#endif


